Function

List service functions

GET/api/v2/databases/{database}/schemas/{schema}/functions
Lists service functions under the database and schema.

For more information

Go to the SQL command page to view more information about arguments, options, privileges requirements, and usage guidelines.

View

Path Parameters

ParameterDescription
database 
Identifier (i.e. name) for the database to which the resource belongs. You can use the `/api/v2/databases` GET request to get a list of available databases.
schema 
Identifier (i.e. name) for the schema to which the resource belongs. You can use the `/api/v2/databases/{database}/schemas` GET request to get a list of available schemas for the specified database.

Query Parameters

ParameterDescription
like string
Parameter to filter the command output by resource name. Uses case-insensitive pattern matching, with support for SQL wildcard characters.

Response

CodeDescription
200
successful
202
Successfully accepted the request, but it is not completed yet.

Create a service function

POST/api/v2/databases/{database}/schemas/{schema}/functions
Create a service function.

For more information

Go to the SQL command page to view more information about arguments, options, privileges requirements, and usage guidelines.

View

Query Parameters

ParameterDescription
createMode string
Parameter allowing support for different modes of resource creation. Possible values include:
  • errorIfExists: Throws an error if you try to create a resource that already exists.
  • orReplace: Automatically replaces the existing resource with the current one.
  • ifNotExists: Creates a new resource when an alter is requested for a non-existent resource.

Response

CodeDescription
200
Successful request.
202

Fetch a service function

GET/api/v2/databases/{database}/schemas/{schema}/functions/{nameWithArgs}
Fetch a service function.

For more information

Go to the SQL command page to view more information about arguments, options, privileges requirements, and usage guidelines.

View

Path Parameters

ParameterDescription
nameWithArgs string
Function's name with Args

Response

CodeDescription
200
successful
202

Delete a service function

DELETE/api/v2/databases/{database}/schemas/{schema}/functions/{nameWithArgs}
Delete a service function with the given name and args.

For more information

Go to the SQL command page to view more information about arguments, options, privileges requirements, and usage guidelines.

View

Query Parameters

ParameterDescription
ifExists boolean
Parameter that specifies how to handle the request for a resource that does not exist:
  • true: The endpoint does not throw an error if the resource does not exist. It returns a 200 success response, but does not take any action on the resource.
  • false: The endpoint throws an error if the resource doesn't exist.

Response

CodeDescription
200
202

Execute a service function

POST/api/v2/databases/{database}/schemas/{schema}/functions/{name}:execute
Execute a service function.

For more information

Go to the SQL command page to view more information about arguments, options, privileges requirements, and usage guidelines.

View

Path Parameters

ParameterDescription
name 
Identifier (i.e. name) for the resource.

Response

CodeDescription
200
successful
202

Set tags on a service function

POST/api/v2/databases/{database}/schemas/{schema}/functions/{nameWithArgs}:set-tags
Set tags on a service function.

Response

CodeDescription
200
202

Unset tags from a service function

POST/api/v2/databases/{database}/schemas/{schema}/functions/{nameWithArgs}:unset-tags
Unset tags from a service function.

Response

CodeDescription
200
202

Get the tag assignments for a service function

GET/api/v2/databases/{database}/schemas/{schema}/functions/{nameWithArgs}:get-tags
Returns all tags assigned to a service function. This operation requires an active warehouse.

Query Parameters

ParameterDescription
withLineage boolean
Parameter that specifies whether tag assignments inherited by the object from its ancestors in securable object hierarchy should be returned as well:
  • true: All tags assigned to this object should be returned, inheritance included.
  • false: Only tags explicitly assigned to this object should be returned.

Response

CodeDescription
200
successful
202